package com.njyunzhi.invoice.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njyunzhi.invoice.entity.TaInvoiceItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 报销项目模板 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-07-04
 */
@Mapper
public interface TaInvoiceItemMapper extends BaseMapper<TaInvoiceItem> {

    int createBatch(@Param("invoiceId") String invoiceId);

    TaInvoiceItem getByPersonAndName(@Param("invoiceId") String invoiceId,
                                     @Param("invoicePersonId") String invoicePersonId,
                                     @Param("name") String name);

    List<TaInvoiceItem> getListByPerson(@Param("invoiceId") String invoiceId, @Param("invoicePersonId") String invoicePersonId);
}
