package com.njyunzhi.invoice.mapper;

import com.njyunzhi.invoice.entity.TaInvoicePerson;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 报销人员 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-07-04
 */
@Mapper
public interface TaInvoicePersonMapper extends BaseMapper<TaInvoicePerson> {

    List<TaInvoicePerson> getByName(@Param("invoiceId") String invoiceId, @Param("invoiceOrgId") String invoiceOrgId, @Param("name") String name);
}
