package com.njyunzhi.invoice.service;

import com.njyunzhi.invoice.entity.TaInvoicePerson;
import com.njyunzhi.invoice.entity.TaPerson;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 报销人员 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-07-04
 */
public interface ITaInvoicePersonService extends IBaseService<TaInvoicePerson> {

    List<TaInvoicePerson> getByName(String invoiceId, String invoiceOrgId, String name);

    boolean createNew(TaInvoicePerson taInvoicePerson) throws Exception;

    void batchUpload(String invoiceId, MultipartFile file) throws Exception;

    TaInvoicePerson getByPerson(String invoiceId, String invoicePerson) throws Exception;

    boolean bind(TaInvoicePerson taInvoicePerson, TaPerson taPerson) throws Exception;
}
