package com.njyunzhi.invoice.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.njyunzhi.invoice.entity.TaInvoiceItem;
import com.njyunzhi.invoice.mapper.TaInvoiceItemMapper;
import com.njyunzhi.invoice.service.ITaInvoiceItemService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 报销项目模板 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-07-04
 */
@Service
public class TaInvoiceItemServiceImpl extends ServiceImpl<TaInvoiceItemMapper, TaInvoiceItem> implements ITaInvoiceItemService {

    @Override
    public List<TaInvoiceItem> getListByPerson(String invoiceId, String invoicePersonId) {
        return baseMapper.getListByPerson(invoiceId, invoicePersonId);
    }
}
