package com.njyunzhi.invoice.common;

import com.njyunzhi.invoice.config.WxMpConfig;
import me.chanjar.weixin.mp.api.WxMpService;
import me.chanjar.weixin.mp.api.impl.WxMpServiceImpl;
import me.chanjar.weixin.mp.config.impl.WxMpDefaultConfigImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@EnableConfigurationProperties(WxMpConfig.class)
public class WxMpUtil {

    WxMpConfig wxMpConfig;
    WxMpService mpService;

//    @Autowired
//    WxMpUtil (WxMpConfig wxMpConfig) {
//        this.wxMpConfig = wxMpConfig;
//        initMpService();
//    }

    void initMpService() {
        WxMpConfig.MpConfig config = wxMpConfig.getConfig();
        WxMpDefaultConfigImpl configStorage = new WxMpDefaultConfigImpl();

        configStorage.setAppId(config.getAppId());
        configStorage.setSecret(config.getSecret());
        configStorage.setToken(config.getToken());
        configStorage.setAesKey(config.getAesKey());

        mpService = new WxMpServiceImpl();
        mpService.setWxMpConfigStorage(configStorage);
    }

    public WxMpService getMpService() {
        return mpService;
    }
}
