package com.njyunzhi.invoice.mapper;

import com.njyunzhi.invoice.entity.TaInvoiceOrg;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 报销单位 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-07-04
 */
@Mapper
public interface TaInvoiceOrgMapper extends BaseMapper<TaInvoiceOrg> {

    TaInvoiceOrg getByInvoiceAndOrgName(@Param("invoiceId") String invoiceId, @Param("orgName") String orgName);
}
